<script lang="ts">
import Vue from 'vue';

import Globe from './globe.vue';
import Branches from './branches.vue';

export default Vue.extend({
  name: 'SecurityHeroAnimation',
  components: {
    Globe,
    Branches,
  },
});
</script>

<template>
  <div class="hero-animation">
    <div ref="hero-animation-glow" class="hero-animation__glow"></div>
    <Globe />
    <Branches />
  </div>
</template>

<style lang="scss" scoped>
.hero-animation {
  position: relative;
  height: 100%;
  width: 85%;
  margin: 0 auto;
  @media (min-width: $breakpoint-md) {
    width: 100%;
  }
  &__orbs {
    position: absolute;
    top: -26%;
    left: -7%;
    width: 118%;
    :deep svg {
      width: 100%;
    }
  }
  :deep {
    .animated-hero__globe {
      width: 100%;
      z-index: 1;
    }
    .branches {
      width: 100%;
      left: 0;
      z-index: 1;
    }
  }
  &__glow {
    position: absolute;
    width: 98.4%;
    height: 100%;
    top: 0;
    left: 35%;
    background: radial-gradient(
      46.02% 46.02% at 48.9% 50.26%,
      #a989f5 0%,
      #a183ea 3%,
      #715ba4 22%,
      #483b69 39%,
      #29213c 56%,
      #120f1b 70%,
      #040407 82%,
      #000000 90%
    );
    background-blend-mode: screen;
    mix-blend-mode: screen;
    opacity: 0.6;
    transition: opacity 0.5s ease-in 1s;
  }
}
</style>
